# Lending Club  
[![Build Status](https://travis-ci.org/kuhnrl30/LendingClub.svg?branch=master)](https://travis-ci.org/kuhnrl30/LendingClub)
[![Coverage status](https://codecov.io/gh/kuhnrl30/lendingclub/branch/master/graph/badge.svg)](https://codecov.io/github/kuhnrl30/lendingclub?branch=master)
[![CRAN\_Status\_Badge](http://www.r-pkg.org/badges/version/LendingClub)](https://cran.r-project.org/package=LendingClub)
<img src= "https://cranlogs.r-pkg.org/badges/grand-total/LendingClub" />
[![DOI](https://zenodo.org/badge/65163868.svg)](https://zenodo.org/badge/latestdoi/65163868)


## Access the Lending Club API
The LendingClub package is a set of functions that enables you to work with your LendingClub account from R.  The package contains tools for:  

1. Account management such as viewing the account balance  
2. Transfer funds in our out of the account  
2. Transact on your account by buying or selling notes  

## Installation
You can install the stable version on CRAN:
```
install.packages("LendingClub")
library(LendingClub)
```

Or use devtools to install the development version from Github:
```
devtools::install_github("kuhnrl30/LendingClub")
library(LendingClub)
```

## Usage 
Read the [quick start guide](articles/LendingClub.html)

## Credits
This packages is powered by:
- [httr](http://httr.r-lib.org/)
- [knitr](https://yihui.name/knitr/)
- [jsonlite](https://arxiv.org/abs/1403.2805)
- [dplyr](http://dplyr.tidyverse.org/)

## License
This package is free and open source software, licensed under MIT.


## Want to Contribute?
There are multiple ways you can contribute to this open source project.  Add new functions, squash some bugs, work on the website, or improving the documentation are some of the ways you can help. 

Pull requests are welcome!